using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using AdventureWorksDemo_Remote.Properties;
using iAnywhere.Data.SQLAnywhere;

namespace AdventureWorksDemo_Remote
{
    public partial class TopCustomers : Form
    {
        public TopCustomers()
        {
            InitializeComponent();
        }

        private void TopCustomers_Load(object sender, EventArgs e)
        {
            SACommand cmd;
            SADataReader reader;
            string sqlstmt;

            sqlstmt = "CALL SalesPerson.sp_Report()";
            cmd = Program.CreateCommand(sqlstmt);
            reader = cmd.ExecuteReader();

            while (reader.Read())
            {
                list.Items.Add(reader.GetString(0));
                list.Items[list.Items.Count - 1].SubItems.Add(reader.GetDecimal(1).ToString("$###,##0.00"));
            }

            reader.Close();
            reader.Dispose();
            cmd.Dispose();
        }
    }
}