using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using iAnywhere.Data.SQLAnywhere;
using AdventureWorksDemo_Remote.Properties;

namespace AdventureWorksDemo_Remote
{
    public partial class ViewSalesPerson : Form
    {
        public ViewSalesPerson()
        {
            InitializeComponent();
        }

        private void ViewSalesPerson_Load(object sender, EventArgs e)
        {
            SACommand cmd;
            SADataReader reader;
            string sqlstmt;

            sqlstmt = "SELECT TOP 1 SalesQuota, Bonus, CommissionPct, SalesYTD, SalesLastYear, ModifiedDate FROM Sales.SalesPerson";
            cmd = Program.CreateCommand(sqlstmt);
            reader = cmd.ExecuteReader();

            if (reader.Read())
            {
                if (!reader.IsDBNull(0))
                {
                    salesquota.Text = reader.GetDecimal(0).ToString("$###,##0.00");
                }
                bonus.Text = reader.GetDecimal(1).ToString("$###,##0.00");
                commissionpct.Text = reader.GetDecimal(2).ToString("0.00#%");
                salesytd.Text = reader.GetDecimal(3).ToString("$###,##0.00");
                saleslastyear.Text = reader.GetDecimal(4).ToString("$###,##0.00");
                modifieddate.Text = reader.GetDateTime(5).ToString();
            }

            reader.Close();
            reader.Dispose();
            cmd.Dispose();
        }
    }
}