using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using AdventureWorksDemo_Consolidated.Properties;

namespace AdventureWorksDemo_Consolidated
{
    public partial class Configuration : Form
    {
        public Configuration()
        {
            InitializeComponent();
        }

        private void Configuration_Load(object sender, EventArgs e)
        {
            dsn.Text = Settings.Default.DSN;
            server.Text = Settings.Default.Server;
            database.Text = Settings.Default.Database;
        }

        private void ok_Click(object sender, EventArgs e)
        {
            Settings.Default.DSN = dsn.Text;
            Settings.Default.Server = server.Text;
            Settings.Default.Database = database.Text;
            Settings.Default.Save();
        }
    }
}