using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using System.Data.SqlClient;

namespace AdventureWorksDemo_Consolidated
{
    public partial class ViewSalesPerson : Form
    {
        public ViewSalesPerson()
        {
            InitializeComponent();
        }

        private void ViewSalesPerson_Load(object sender, EventArgs e)
        {
            SqlCommand cmd;
            SqlDataReader reader;
            string sqlstmt;

            sqlstmt = "SELECT SalesPersonID, FirstName + ' ' + LastName, SalesQuota, Bonus, CommissionPct, SalesYTD, SalesLastYear, Sales.SalesPerson.ModifiedDate FROM Sales.SalesPerson, Person.Contact, HumanResources.Employee WHERE Person.Contact.ContactID = HumanResources.Employee.ContactID AND HumanResources.Employee.EmployeeID = Sales.SalesPerson.SalesPersonID";
            cmd = Program.CreateCommand(sqlstmt);
            reader = cmd.ExecuteReader();

            while (reader.Read())
            {
                salespersonlist.Items.Add(reader.GetInt32(0).ToString());
                salespersonlist.Items[salespersonlist.Items.Count - 1].Tag = reader.GetInt32(0);
                salespersonlist.Items[salespersonlist.Items.Count - 1].SubItems.Add(reader.GetString(1));
                if (!reader.IsDBNull(2))
                {
                    salespersonlist.Items[salespersonlist.Items.Count - 1].SubItems.Add(reader.GetDecimal(2).ToString("$###,##0.00"));
                }
                else
                {
                    salespersonlist.Items[salespersonlist.Items.Count - 1].SubItems.Add("$0.00");
                }
                salespersonlist.Items[salespersonlist.Items.Count - 1].SubItems.Add(reader.GetDecimal(3).ToString("$###,##0.00"));
                salespersonlist.Items[salespersonlist.Items.Count - 1].SubItems.Add(reader.GetDecimal(4).ToString("0.00#%"));
                salespersonlist.Items[salespersonlist.Items.Count - 1].SubItems.Add(reader.GetDecimal(5).ToString("$###,##0.00"));
                salespersonlist.Items[salespersonlist.Items.Count - 1].SubItems.Add(reader.GetDecimal(6).ToString("$###,##0.00"));
                salespersonlist.Items[salespersonlist.Items.Count - 1].SubItems.Add(reader.GetDateTime(7).ToString());
            }

            reader.Close();
            reader.Dispose();
            cmd.Dispose();
        }

        private void salespersonlist_ItemActivate(object sender, EventArgs e)
        {
            ViewMobilize viewmobilizeform = new ViewMobilize();
            viewmobilizeform.salespersonid = (int)salespersonlist.SelectedItems[0].Tag;
            viewmobilizeform.ShowDialog();
        }
    }
}