using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using AdventureWorksDemo_Remote.Properties;

namespace AdventureWorksDemo_Remote
{
    public partial class Configuration : Form
    {
        public Configuration()
        {
            InitializeComponent();
        }

        private void Configuration_Load(object sender, EventArgs e)
        {
            dbf.Text = Settings.Default.dbf;
            publication.Text = Settings.Default.publication;
            version.Text = Settings.Default.version;
            mlsrvaddress.Text = Settings.Default.mlsrvaddress;
        }

        private void ok_Click(object sender, EventArgs e)
        {
            Settings.Default.dbf = dbf.Text;
            Settings.Default.publication = publication.Text;
            Settings.Default.version = version.Text;
            Settings.Default.mlsrvaddress = mlsrvaddress.Text;

            Settings.Default.Save();
        }
    }
}